/* --------------------------------------------------------------- */
/* (C)Copyright 2007                                               */
/* International Business Machines Corporation,                    */
/* All Rights Reserved.                                            */
/*                                                                 */
/* This program is made available under the terms of the           */
/* Common Public License v1.0 which accompanies this distribution. */
/* --------------------------------------------------------------- */

#ifndef __ALF_HYBRID_H_INC__
#define __ALF_HYBRID_H_INC__

//********************************************************
// Constants & misc Macros
//********************************************************

typedef enum _ALF_ACCEL_TYPE_T_ {
  ALF_ACCEL_TYPE_SPE = 0,
} ALF_ACCEL_TYPE_T;

//********************************************************
// Data Structures
//********************************************************

#pragma pack(4)

/**
 * struct alf_sys_config_t_Hybrid
 *
 * library_path: SPE executable shared library path.
 * num_of_ppes: Number of PPEs to reserve.
 * ppe_image_path: PPE executable program image path.
 * ppe_image_name: PPE executable program image name.
 * ppe_image_mode: PPE executable mode: either "remote" (default), or "file".
 */
typedef struct _alf_hybrid_sys_config {
  char *library_path;
  unsigned int num_of_ppes;
  char *ppe_image_path;
  char *ppe_image_name;
  char *ppe_image_mode;
} alf_sys_config_t_Hybrid;

#pragma pack()

#endif                          // __ALF_HYBRID_H_INC__
